<!--{{sensorDetails.showPolylineLoader}}-->
<div class="sensorContSec moreBtm">
    <!--..... sub header ......-->
    <div class="subHeader">
        <div class="leftCont subNormal roboLight">
            <a href="#/necApp/sensorMain/sensors" class="backBtn midBlock marginRgt">
                <img src="images/right_arrow_blue.png" alt="">
            </a>
            <div class="midBlock">BACK TO ASSET LIST</div>
        </div>
        <span class="clear"></span>
    </div>

    <!--{{sensordetails.sensorData.isVechicle}}-->
    <div class="sensorContMain">
        <div class="mapContainer" ng-if="sensordetails.sensorData.isVechicle">
            <!--<div class="map" id="sensorDetailsMap"></div>-->
            <show-map  map-id="overviewMap" ></show-map>
        </div>

        <div class="sensorListMain">
            <div class="paddingFull mainNormal roboLight">ASSET DETAILS</div>
        </div>



        <div class="sensorDetails mainNormal">
            <div class="dataTable devicesList marginBtmSec">
                <div class="dataRow header">
                    <ul class="rowCont">
                        <li class="sensor">
                            <div class="">Asset</div>
                        </li>
                        <li class="status">Type</li>
                       <!-- <li class="instance">Instances</li>-->
                    </ul>
                </div>
                <div class="dataRow">
                    <ul class="rowCont">
                        <li class="sensor">
                            <div class="textLabel">{{sensordetails.sensorData.assetName}}</div>
                        </li>
                        <li class="status active">{{sensordetails.sensorData.sensorLabel}}</li>
                       <!-- <li class="instance">-</li>-->
                    </ul>
                </div>
            </div>
            <form name="editAssetForm" class="css-form" novalidate>
                <div class="detailContent">
                <div class="marginBtmSml">
                    <ul class="form flow">
                        <li  ng-repeat="formEle in form">
                            <div ng-if="formEle.assetName">
                                <div ng-init="sensordetails.sensorData.assetName = sensordetails.sensorData[formEle.model]"></div>
                            </div>
                            <div  ng-show="formEle.type!='dropDown'">
                                <div class="tag">{{formEle.name}}<span class="error mainNormal" ng-if="formEle.required">*</span></div>
                                <input ng-if="formEle.type!='date'" type="{{formEle.type}}" placeholder="{{formEle.description}}"
                                       ng-model="sensordetails.sensorData[formEle.model]" ng-show="formUpdate" ng-required="formEle.required">
                                <input ng-if="formEle.type==='date'" type="text" placeholder="{{formEle.description}}"
                                ng-model="sensordetails.sensorData[formEle.model]"
                               ng-show="formUpdate" ng-required="formEle.required" date-picker date="sensordetails.sensorData[formEle.model]">

                                <div class="error small marginTopShort" ng-show="!newLinkAssetForm[formEle.model].$pristine && newLinkAssetForm[formEle.model].$invalid">
                                    Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                                </div>

                                <div class="error small marginTopShort"
                                     ng-if="!newLinkAssetForm[formEle.model].$pristine && newLinkAssetForm[formEle.model].$invalid && isSensorDetailsNameUnique && formUpdate">
                                    Please Enter {{formEle.name}} Of Type "{{formEle.type | uppercase}}"
                                </div>
                                <div class="error small marginTopShort" ng-if="formEle.name==='Sensor Name' && !isSensorDetailsNameUnique && formUpdate">
                                    Sensor Name {{sensordetails.sensorData.sensorName}} Already Exist
                                </div>
                                <div class="textLabel" ng-bind="sensordetails.sensorData[formEle.model]" ng-hide="formUpdate"></div>
                            </div>
                            <div  ng-show="formEle.type==='dropDown'">
                                <div class="tag capitalize">{{formEle.name}}
                                    <span class="error mainNormal" ng-if="formEle.required">*</span></div>
                                <div class="dropDown midBlock personCat">
                                    <div class="head" data-init="0">
                                        <div class="headTitle" ng-bind="sensordetails.sensorData[formEle.model]"></div>
                                    </div>
                                    <ul class="list">
                                        <li ng-repeat="dropDownValue in formEle.dropDownDetails.dropDownValues" ng-click="sensordetails.sensorData[formEle.model]=dropDownValue">
                                            {{dropDownValue}}
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </li>
                    </ul>
                   <!-- <json-to-html-form ng-if="assetTypeConfiguration.configAvailable"
                   form-data="sensordetails.sensorData"
                   json="assetTypeConfiguration.json"
                   form-name="newAssetForm"
                   get-types=""><json-to-html-form>-->
                       <!-- form-edit="true"-->
                </div>
                <div class="btnsMain">
                    <div class="floatLeft">
                        <div class="btn edit midBlock" ng-click="formUpdate=!formUpdate" ng-hide="formUpdate">Edit</div>
                        <button class="btn midBlock marginRgt" ng-disabled="newLinkAssetForm.$invalid"
                        ng-show="formUpdate" ng-click="update();formUpdate=!formUpdate" >Update</button>
                        <div class="btn close midBlock" ng-show="formUpdate" ng-click="formUpdate=!formUpdate">Cancel</div>
                    </div>
                    <div class="floatRight">
                        <div class="deleteBtn marginTopShort sensorDelete">
                            <img src="images/delete_red.png" alt="">
                        </div>
                    </div>
                    <span class="clear"></span>
                </div>

            </div>
            </form>
        </div>
    </div>
</div>

<!--... page main loader .... -->
<hr-loader class="overlayFix" ng-show="sensorDetails.showPolylineLoader" ></hr-loader>


<!--.... instance delete message .......-->
<div class="messagePopup sensorDeleted roboLight midTitle">
    Asset deleted successfully.
</div>

<!--....... delete Help Widget popup  .....-->
<div class="popup confirmMsg deleteSensor">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="msg smallTitle roboLight marginBtmSec">
            Are you sure <br>
            you want to delete this Asset ?
        </div>
        <div class="msg smallTitle roboLight marginBtmSec error" ng-show="sensordetails.sensorData.islinked">
            Asset is in use...
        </div>
        <div class="btnsMain">
            <!--{{sensordetails.sensorData.apiRefId}}-->
            <div class="btn red midBlock marginRgt close" style="background: #d14353" ng-click="deleteSensor(sensordetails.sensorData.apiRefId)" ng-show="!sensordetails.sensorData.islinked">Delete</div>
            <div class="btn white midBlock marginRgt close " style="background: #d14353" ng-show="sensordetails.sensorData.islinked">Ok</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>